import Link from "next/link";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import { faLink } from "@fortawesome/free-solid-svg-icons";

interface ILinkableHeadingProps {
    text: string;
    slug: string;
}

export default function LinkableHeading({ text, slug }: ILinkableHeadingProps) {
    return (
        <h3
            id={slug}
            className='title is-5 mb-5'
        >
            <span>{text}</span>
            <a id={slug}></a>
            <Link href={`#${slug}`}>
                <FontAwesomeIcon
                    icon={faLink}
                    className="fab fa-link ml-2"
                ></FontAwesomeIcon>
            </Link>
        </h3>
    )
}