import React from 'react'
import Link from 'next/link';
import VodCard from './vod-card';
import { IVtuber } from '@/lib/vtubers';
import { IVod } from '@/lib/vods';
import { getVodTitle } from './vod-page';
import { notFound } from 'next/navigation';
import { IStream, getStreamsForVtuber } from '@/lib/streams';

interface IStreamsListProps {
    vtuber: IVtuber;
    page: number;
    pageSize: number;
}


interface IStreamsListHeadingProps {
    slug: string;
    displayName: string;
}

export function StreamsListHeading({ slug, displayName }: IStreamsListHeadingProps): React.JSX.Element {
    return (
        <div className='box'>
            <h3 className='title'>
                <Link href={`/vt/${slug}`}>{displayName}</Link> Streams
            </h3>
        </div>
    )
}


export default async function StreamsList({ vtuber, page = 1, pageSize = 24 }: IStreamsListProps): Promise<React.JSX.Element> {
    if (!vtuber) return <div>vtuber is not defined. vtuber:{JSON.stringify(vtuber, null, 2)}</div>
    // if (!vods) return <div>failed to load vods</div>;
    const streams = await getStreamsForVtuber(vtuber.id);
    if (!streams) return notFound();

    // @todo [x] pagination
    // @todo [x] sortability
    return (
        <>
            {/* <p>VodsList on page {page}, pageSize {pageSize}, with {vods.data.length} vods</p> */}

            {/* <pre>
                <code>
                    {JSON.stringify(vods.data, null, 2)}
                </code>
            </pre> */}


            <div className="columns is-multiline is-mobile">
                {streams.data.map((stream: IStream) => (
                    <p>@todo StreamCard</p>
                    // <StreamCard
                    //     key={vod.id}
                    //     id={vod.id}
                    //     title={getVodTitle(vod)}
                    //     date={vod.attributes.date2}
                    //     muxAsset={vod.attributes.muxAsset?.data?.attributes.playbackId}
                    //     vtuber={vod.attributes.vtuber.data}
                    //     thumbnail={vod.attributes.thumbnail?.data?.attributes?.cdnUrl}
                    // />
                ))}
            </div>
        </>
    );
}
